← جميع فئات الأدوات
150 أدوات العمل

أدوات النصوص والقوائم

نظّف وقارن وقِس المحتوى دون تحميل بيانات العمل.

توسيط أسطر النص

وسّط كل سطر داخل عرض دقيق بعدد أحرف Unicode مع الإبقاء على الصفوف الفارغة ورفض الاقتطاع المُتلف.

افتح الأداة →

إزالة السابقة من الكلمات

أزل جزءًا أوليًا واحدًا مطابقًا تمامًا من الكلمات المتطابقة في Unicode واترك علامات الترقيم والمسافات والكلمات غير المطابقة دون تغيير.

افتح الأداة →

إزالة اللاحقة من الكلمات

أزل لاحقة واحدة مطابقة بالضبط من الكلمات Unicode المطابقة دون تسطيح الفواصل أو تعديل الكلمات التي لا تحمل تلك اللاحقة.

افتح الأداة →

إدراج فاصل بين الأحرف

ضع فاصلًا مختارًا بين نقاط ترميز Unicode دون تقسيم الأزواج البديلة مثل الرموز التعبيرية إلى أنصاف غير صالحة.

افتح الأداة →

اقتبس كل سطر نصي

قم بتغليف كل سطر بين علامتي اقتباس مزدوجتين أو علامتي اقتباس مفردتين أو backticks مع الحفاظ على الأسطر الفارغة وترتيب الأسطر الأصلي.

افتح الأداة →

إزالة علامات الاقتباس من أسطر النص

أزِل زوجًا خارجيًا واحدًا متوازنًا من علامات الاقتباس من كل سطر باستخدام المطابقة التلقائية أو الصريحة لنمط الاقتباس.

افتح الأداة →

اقتباس كل كلمة

قم بإحاطة كل رمز كلمة Unicode بعلامة اقتباس مختارة مع الإبقاء على الفواصل وعلامات الترقيم والمسافات البيضاء الأصلية.

افتح الأداة →

إزالة علامات الاقتباس من الكلمات

قم بفكّ الكلمات Unicode المقتبسة بشكل منفرد عندما تتطابق علامتا الاقتباس، دون حذف علامات الاقتباس غير ذات الصلة من النص النثري.

افتح الأداة →

تطبيع الأسطر الفارغة

اقتصر على عدد صفوف فارغة متتالية بحد أقصى دقيق مع الحفاظ على المسافات البادئة وكل سطر غير فارغ.

افتح الأداة →

تحويل المسافات إلى أسطر جديدة

حوّل كل رمز مفصول بمسافة بيضاء إلى سطر واحد، وقلّص المسافات المتكررة وعلامات الجدولة وفواصل الأسطر الموجودة بطريقة حتمية.

افتح الأداة →

تحويل الأسطر الجديدة إلى فاصل

انضم إلى أسطر النص غير الفارغة باستخدام فاصل قابل للتكوين مع تقليم المسافات البيضاء الخارجية فقط لكل صف.

افتح الأداة →

محلل تكرار الكلمات

رتّب كلمات Unicode حسب عدد مرات الظهور مع إمكانية ضبط الحد الأدنى للطول، وحد النتائج، والمقارنة الحساسة لحالة الأحرف.

افتح الأداة →

ترتيب الحروف داخل الكلمات

فرز أحرف وأرقام يونيكود داخل كل كلمة على حدة دون تحريك علامات الترقيم أو الكلمات نفسها.

افتح الأداة →

ترتيب جميع أحرف النص

رتّب كل نقطة ترميز Unicode عبر الإدخال الكامل مع إزالة اختيارية للمسافات البيضاء واتجاه تصاعدي أو تنازلي صريح.

افتح الأداة →

الرقم النص الجمل

ضع كل جملة مكتشفة في سطر مرقّم منفصل مع قيمة بدء قابلة للتكوين وثلاثة أنماط علامات واضحة للقراءة.

افتح الأداة →

رقم نص الفقرات

رقّم الفقرات المفصولة بسطر فارغ مع الحفاظ على فواصل الأسطر الداخلية والتنسيق في كل فقرة.

افتح الأداة →

أداة العثور على الجمل المكررة

سرد الجمل الكاملة المتكررة مع الأعداد باستخدام مقارنة صريحة حساسة لحالة الأحرف أو غير حساسة لحالة الأحرف.

افتح الأداة →

مستخرج الجمل الفريدة

احتفظ بأول ظهور لكل جملة كاملة وأزل التكرارات اللاحقة وفق قاعدة حالة قابلة للاختيار.

افتح الأداة →

مُشفّر ومُفكّك ترميز النص Base32

حوّل نص UTF-8 إلى Base32 قياسي وفق RFC 4648 أو فك ترميز قيمة Base32 مع حشو أو بدون حشو بشكل صارم.

افتح الأداة →

مُرمِّز ومُفكِّك نص Base32hex

تشفير وفك ترميز UTF-8 باستخدام أبجدية Base32 السداسية العشرية الموسعة المحددة في RFC 4648 القسم 7.

افتح الأداة →

مُرمِّز ومُفكِّك ترميز النص Base45

حوّل نص UTF-8 باستخدام أبجدية Base45 المدمجة وفق RFC 9285 المستخدمة في صيغ البيانات الموجهة لرموز QR.

افتح الأداة →

مُشفّر ومُفكّك نص بيتكوين Base58

حوّل بايتات UTF-8 باستخدام أبجدية Bitcoin Base58 مع الحفاظ على بايتات الصفر الرائدة تمامًا.

افتح الأداة →

مُرمِّز ومُفكِّك ترميز نص Ascii85

ترميز UTF-8 في مجموعات Ascii85 من خمسة أحرف أو فك ترميز بيانات متوافقة بدقة مع Adobe مع فواصل اختيارية وضغط z.

افتح الأداة →

مُرمِّز ومُفكِّك ترميز النص Quoted-Printable

قم بترميز نص بأسلوب البريد UTF-8 إلى quoted-printable وفق RFC 2045 أو فك ترميز هروبًاات كبيرة الأحرف المُتحقَّق منها وفواصل الأسطر المُطبَّعة بواسطة المتصفح.

افتح الأداة →